/****************************************************************************
 * tx.textream
 *
 *   OutputTextream
 *     print(T...)(T s)
 *     pritnln(T...)(T s)
 *     writeString(char[] s)
 *     writeLine(char[] s)
 *
 *   InputTextream
 *     char[] readLine()
 *     opApply
 *
 ****************************************************************************/

module tx.textream;
import tx.feature.basic;
import tx.feature.write_basic;
import tx.feature.write_print;
import tx.feature.read_basic;
import tx.feature.read_foreach;
import tx.feature.read_scan;
import std.stream;






class Textream
{
	alias Object.print print;

	mixin Basic!(Stream);
	mixin Write_Basic!(base);
	mixin Write_Print!(base);
	mixin Read_Basic!(base);
	mixin Read_Foreach!(base);
	mixin Read_Scan!(base);
}
/*
class InputTextream
{
	mixin Basic!(InputStream);
	mixin Read_Basic!(base);
	mixin Read_Foreach!(base);
}
*/
class OutputTextream
{
	alias Object.print print;

	mixin Basic!(OutputStream);
	mixin Write_Basic!(base);
	mixin Write_Print!(base);
}
